var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");

 $j=jQuery.noConflict();
 
// Use jQuery via $j(...)

  

	$j.fn.w3cValidator = function(options) {
		var opts = $j.extend({}, $j.fn.w3cValidator.defaults, options);
		function str_replace(search, replace, subject) {
		return subject.split(search).join(replace);
		}
		return this.each(function() {
			currentURL = ""+encodeURIComponent(window.location);
			var $this = $j(this);
			$j.ajax({
				type: "POST",
				url: opts["parserLocation"],
				data: "url="+currentURL,
				success: function(isValid){
					if(isValid == "true") {
						$this.append(opts["URL_isValid"]);
					} else {
						$this.append(opts["URL_isInvalid"]);
					}
				}
			});
		});
	};
	
	// plugin defaults
	$j.fn.w3cValidator.defaults = {
		URL_isValid: '<a href="http://validator.w3.org/check?uri=referer">valid HTML</a>',
		URL_isInvalid: '<a href="http://validator.w3.org/check?uri=referer">invalid HTML</a>'
	};
}